body {
    font-size: 14px;
}

h1{
	font-size: 1.25rem;
}

h4{
	font-size: 1.2rem;
}

h5{
	margin-bottom: 0rem;
}

th{
    white-space: nowrap;
    font-size: 0.8rem;
}

td{
	font-size: 0.8rem;
    white-space: nowrap;
}

.flx-0{
	flex: 0;
}
legend{
	background: transparent;
    color: #222629;
    position: initial;
    margin-top: -48px;    
    margin-bottom: 24px;
    margin-left: -16px;
    font-size: 0.8rem;
    padding: 0px;
    font-weight: 500;
    text-transform: uppercase;
    
}

.alignbtnsearch{
	margin-left: 8px;
}

.centeralign{
    text-align: center!important;	
}

.leftalign{
	text-align: left!important;
}

.mb-0{
	margin-bottom: 0rem;
}

.nomargin{
	margin-left: 0px;
	margin-right: 0px;
}

.rightalign{
	text-align: right;
}

.nopadding{
	padding-left:0px!important;
	padding-right:0px!important;
}

.ovxscroll {
	overflow-x: scroll;
}

.topbar{
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 31px;
    background-color: #2a2d30;
    border-bottom: 1px solid #ccc;
    box-shadow: 0px 0px 4px #2a2d30;
    z-index: 999;
}

.topbar > .row{
	height: 100%;
}

.vcol{
	color: #fff;
    margin-top: 4px;
}

.rcol{
	margin-top: 2px;
}

.topbar > div > div > div > .btn {
	padding: 0.1rem 0.5rem;
    font-size: 0.65rem;
    font-weight: 200;
    letter-spacing: 0.03rem;
}

.btn-gr-cus{
	float: right;
}
.btn-topbar{
	background-color: transparent;
	color: #fff;
}

.btn-add-element{
    margin-top: 12px;
    margin-bottom: 12px;
    float: right;
    margin-right: 12px;
}

.sidebar{
	margin-top: 0px;
	background: rgb(0,0,0);
	background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(40,42,44,1) 100%);
}

.tforblur{
	transition: 0.2s filter ease-in;
	-webkit-transition: 0.2s -webkit-filter ease-in;
	-o-transition: 0.2s -o-filter ease-in;
}

.modalblur{
    -webkit-filter: blur(10px);
    -moz-filter: blur(10px);
    -o-filter: blur(10px);
    -ms-filter: blur(10px);
    filter: blur(10px);
    opacity: 0.5;
}

.modal.left .modal-dialog,
.modal.right .modal-dialog {
	position: fixed;
	margin: auto;
	width: 420px;
	height: 100%;
	-webkit-transform: translate3d(0%, 0, 0);
	    -ms-transform: translate3d(0%, 0, 0);
	     -o-transform: translate3d(0%, 0, 0);
	        transform: translate3d(0%, 0, 0);
}

.modal.left .modal-content,
.modal.right .modal-content {
	height: 100%;
	overflow-y: auto;
}

.modal.left .modal-body,
.modal.right .modal-body {
	padding: 15px 15px 80px;
}
       
/*Right*/
.modal.right.fade .modal-dialog {
	berder-left:1px;
	right: -220px;
	-webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
	   -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
	     -o-transition: opacity 0.3s linear, right 0.3s ease-out;
	        transition: opacity 0.3s linear, right 0.3s ease-out;	
}


.modal.right.fade.show .modal-dialog {
	right: 0;
}

/*
.modal-backdrop.fade.show, 
.modal-backdrop.right.fade{
	background-color: transparent!important;
}
*/


.modal.right.fade .modal-dialog > .modal-content{
	border:0px;
    border-left: 1px solid #b9b9b9;
    border-radius: 0px;
    box-shadow: 0px 0px 8px #b9b9b9;
}













.navbar-nav .nav-link{
	color: rgba(255,255,255,.5);
}

.navbar-nav .nav-link:hover {
    color: rgba(255,255,255,.75);
}

.navbar-nav .nav-link > i {
	margin-left: 6px;
	margin-right: 6px;
	-webkit-transition: all 0.3s;
  	transition: all 0.3s;
}
	
.navbar-nav .show>.nav-link,
.navbar-nav .nav-link:focus {
    color: rgba(255, 255, 255, 1);
    background-color: #303436;
    border-top: 1px solid hsla(210, 6%, 24%, 1);
    border-bottom: 1px solid hsla(210, 6%, 24%, 1);
    border-left: 3px solid #feb440;
}

.navbar-nav .nav-link:hover > i {
	margin-left: 16px;
	margin-right: 6px;
}

.navbar-nav .show>.nav-link > i {
	margin-left: 16px;
	margin-right: 6px;
}

.navbar-nav .dropdown-menu {
    border-radius: 0px;
}

.navbar-expand-md .navbar-nav .dropdown-menu{
	color: rgba(255, 255, 255, 1);
    background-color: #303436;
    margin-top: 0px;
}

.navbar-expand-md .navbar-nav .dropdown-menu > .dropdown-item{
	color: rgba(255, 255, 255, 1);
}

.navbar-expand-md .navbar-nav .dropdown-menu > .dropdown-item:hover {
	background-color: #313437;
    color: #feb440;
}
.navbar-expand-md .navbar-nav .dropdown-menu > .dropdown-item.active{
	background-color: #313437;
	color: #feb440;
}

.bottom-tbmenu {
    top: 55px;
    background-color: #feb440;
    background-image: linear-gradient(248deg, #feb440 0%, #FA709A 100%);
    color: #fff;
    padding: 6px 12px!important;
}

.bottom-tmenu {
	color: #fff;
	background-color: #212325;
	top: 0px;
}

.bottom-dmenu{
	background-color: #020202;
	border-top: 1px solid #efefef94;
}

.header-cont{
	background-color: #f1f1f1;
	border-bottom: 1px solid #ccc;
	padding: 20px 14px 4px 14px;
}

.header-cont > .row > .col > h1{
	font-size: 1.3rem;
}


.cms-body-panel{
	margin-top: -36px;
	padding: 0px;
}

.cmstitle{
	font-size: 1.8rem;
}

.cms-panel-card{
	background-color: #fff;
    padding: 24px 16px;
    box-shadow: 0px 2px 6px #dedede;
    border-radius: 4px;
}


.content-body{
	min-height: 100vh;
	padding: 0px;
	background-color: #f8f8f9;
}

.table-bordered, .table-bordered th, .table-bordered td  {
	border: 1px solid #dee2e6;
}

.page-item.active .page-link {
    z-index: 2;
    color: #fff;
    background-color: #15988F;
    border-color: #15988F;
}

.dt-button-collection .dropdown-item{
	color: #bcbcbc;
	background-color: #fff;
}

.dt-button-collection .dropdown-item.active, .dt-button-collection .dropdown-item:active {
    color: #fff;
    text-decoration: none;
    background-color: #15988F;
    font-size: 0.9rem;
}

.dt-button-collection .dropdown-item:focus, .dt-button-collection .dropdown-item:hover{
	color: #fff;
    text-decoration: none;
    background-color: #10766f;
}

.dropdown-item{
	font-size: 0.8rem;
}

.prof-name{
	font-weight: 100;
	font-size: 0.7rem;
}

.navbar-nav > .nav-item > .dropdown-menu{
	padding-top: 0.2rem;
	padding-bottom: 0.2rem;
}

.btn-up{
	display: none;
	position: fixed;
	bottom: 20px;
	right: 20px;
	z-index: 99999;
}

.show-btn-up{
	display: block;
}


/************ FORM **************/
fieldset {
    position: relative;
    background: #fbfbfb;
    border: 1px solid #d1d1d1;
    border-left: 0px;
    border-right: 0px;
    border-radius: 0px;
    margin: 20px 0 20px 0;
    padding-left:0.5rem;
	padding-right:0.5rem;
	padding-bottom: 0.8rem;
}

.form-group {
    margin-bottom: 0.5rem;
}

.hinputlabel{
	font-size: 0.8rem;	
	font-weight: 400;
}

.col-form-label {
    padding-top: calc(0.3rem - 1px * 2);
    padding-bottom: calc(0.3rem - 1px * 2);
    padding-left: 0.4rem!important;
    padding-right: 0.4rem!important;
    margin-bottom: 0;
}

.form-control {
	height: auto;
    padding: 0.25rem 0.55rem;
    font-size: 0.8rem;
    line-height: 0.8rem;
    border-radius: 0.15rem;
    font-weight: 500;
    color: #000;
    transition: all 0.3s;
    border: 1px solid #e5e9ec;
}

.form-control:focus {
    color: #495057;
    background-color: #fff;
    border-color: #fff;
    outline: unset;
    box-shadow: 0px 2px 4px #cecece;
}

.input-group-addon {
    padding: 0.3rem 0.3rem;
    font-size: 0.8rem;
}

label{
    color: #000;
    font-size: 0.8rem;
    margin-bottom: 0.1rem;
    font-weight: 400;
}

.form-row > .col, .form-row > [class*="col-"] {
    padding-right: 12px;
    padding-left: 12px;
}

.uppercase-input > input{
	text-transform: uppercase;
}

select.form-control:not([size]):not([multiple]) {
    height: calc(1.35rem + 2px);
    padding: 0px 30px 0px 6px;
}

/*** MULTISELECT ***/
.dl-cont{
	margin-bottom: 20px;
}
.multi-src-field{
	border-bottom-left-radius: 0px!important;
	border-bottom-right-radius: 0px!important;
	margin-bottom: 1px;
}

.multi-select-field{
	border-top-left-radius: 0px!important;
	border-top-right-radius: 0px!important;
}

.btn-multi{
    background-color: #f1f1f1;
    border: 1px solid #cccccc;
    margin-top: 0px!important;
    margin-bottom: 0px;
    width: 23%;
    display: inline-block;
}


.btn-multi > .fa-chevron-right, .btn-multi > .fa-chevron-left{
	transform: rotate(90deg);
}

.multi-select-field:focus {
    border-color: #ced4da;
    box-shadow: 0 0 0 0rem rgba(0,123,255,.25);
}

.multi-btn-cont{
	margin-top: 0px;
}

.gestf-field{
	display: block;
	position: relative;
	background-color: #f7f7f7;
	border: 1px solid #dedede;
	/*border-top: 0px;*/
}


.gestfin-field{
	display: block;
	position: relative;
	background-color: #e5f4fd;
	border: 1px solid #dedede;
	/*border-top: 0px;*/
}

.placeholder-sort{
	display: block;
	position: relative;
	border: 3px dashed #337ed8;
	border-radius: 4px;
	min-height: 70px;
	margin-bottom: 4px;
}

.gestf-field-first{
	border-top: 1px solid #dedede;
}
.gestf-delete{
	display: flex;
	position: absolute;
	width: 30px;
	height: 100%;
	top: 0px;
	right: 0px;
	align-items: center;
	justify-content: center;
	background-color: #efefef;
	border-left: 1px solid #dedede;
	cursor: pointer;
	transition: all 0.3s;
}

.gestf-delete:hover{
	background-color: #c41314;
	color: #fff;
}
/**** DATATABLE ****/


table#tableData td {
	white-space: initial;
}
table#tableData td:last-child {
	white-space: nowrap;
}
.dt-button-collection{
	padding: 0px;
}

table.dataTable{
    border-collapse: collapse !important;
}
.buttons-colvis{
	margin-right: 15px;
}

.buttons-pdf{
	border-bottom-left-radius: 0.25rem!important;
	border-top-left-radius: 0.25rem!important;	
}

div.dataTables_wrapper div.dataTables_filter input{
	height: 38px;
    border-radius: 0.5rem;
    margin-left: 0px;
}


.tbl-filter-cont, .tbl-pag-cont{
	margin-top: 12px;
}

.tbl-filter-cont > .dataTables_filter, .tbl-btn-cont{
	text-align: center!important;	
}

.tbl-info-cont{
    text-align: center;
}

.tbl-btn-cont > .btn-group > a{
	font-size: 0.8rem;	
}

.tbl-btn-cont{
	margin-top: 0.4rem;
	margin-bottom: 0.2rem;
}

thead-inverse th {
    color: #fff;
    background-color: #2a2d30;
}

div.dataTables_wrapper div.dataTables_filter input {
	height: auto;
    border-radius: 0.3rem;
}

table.dataTable thead .sorting:before, table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:before, table.dataTable thead .sorting_desc_disabled:after {
    position: absolute;
    bottom: 0.46em;
}

table.dataTable thead .sorting:before, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_desc_disabled:before {
   	right: 1.3em;
}

.btn{
    border-radius: 0.2rem;
    padding: 0.3rem 0.6rem;
    font-size: 0.8rem;
   	font-weight: 500;
   	border: 0px;
   	trasition: all 0.3s;
	/*margin-bottom: 0.6rem;*/
	text-transform: uppercase;
}

.btn:hover{
	box-shadow: 0px 2px 4px #cecece;
}

.btn-success{
	background-color: #22bd8c;
	background-image: linear-gradient(45deg, #22bd8c 0%, #28eb91 100%);	
}

.btn-primary{
	background-color: #37b4ff;
	background-image: linear-gradient(225deg, #37b4ff 0%, #337ed8 100%);
}

.btn-danger{
	background-color: #c11212;
	background-image: linear-gradient(45deg, #c11212 0%, #ef2b2b 100%);
}

.table thead th {
    font-size: 0.7rem;
    white-space: nowrap;
    padding: 0.4rem 0.6rem;
    /*padding-right: 40px;*/
    font-weight: 400;
    letter-spacing: 0.01rem;
}

table.dataTable thead > tr > th.sorting_asc, table.dataTable thead > tr > th.sorting_desc, table.dataTable thead > tr > th.sorting, table.dataTable thead > tr > td.sorting_asc, table.dataTable thead > tr > td.sorting_desc, table.dataTable thead > tr > td.sorting {
    padding-right: 2.6rem;
}

.table td {
    padding: 0.4rem 0.6rem;
    font-size: 0.7rem;
}

div.dataTables_wrapper div.dataTables_info{
    font-size: 0.8rem;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    justify-content: center;
}

page-link {
	font-size: 0.8rem;
    padding: 0.3rem 0.5rem;
    line-height: 1rem;
}

/**** FINE DATATABLE ****/

/**** VALIDATION *****/

.invalid-feedback {
	width: 100%;
	margin-top: 0rem;
	font-size: .75rem;
    font-weight: 500;
	text-align: right;
}

.server-vld-invalid-feedback{
	display: block;
}

.server-vld-invalid-input {
    border-color: #cc303f;
}

.server-vld-invalid-input + .input-group-addon{
	border-color: #cc303f;
	color: #fff;
	background-color: #cc303f;
}

/***** FINE VALIDATION *******/

/***** CHECKBOX *************/
.right-check{
	float: right;
}

.form-check{
	margin-bottom: 0px;
}

.form-check-label{
	padding-left: 0rem;
    font-size: 0.8rem;
    font-weight: 400;
}

.form-check-input {
	margin-top: 0.2rem;
    vertical-align: sub;
}

.form-check-input {
	vertical-align: text-bottom;
}

.right-check > .form-check > .form-check-label > .form-check-input:only-child {
    float: right;
    margin-left: 0.4rem;
}

input[type="radio"] {
    position: static;
}

/******* FINE CHECKBOX ******/


/******* LOGIN  *************/
.loginhtml, .loginhtml > body, .loginhtml > body > .container-fluid,  .loginhtml > body > .container-fluid > .login-main-cont{
	height: 100%;
}

.loginhtml > body > .container-fluid{
	background-color: #f7f7f7; 
}

.login-left-cont{
	padding: 2rem!important;
	background-color: #1357a0;
	color: #fff;
	box-shadow: #9c9c9c 0px 0px 20px;
    border-radius: 4px 0px 0px 4px;
    min-height: 276px;
}

.login-left-cont > p{
	margin-top: 1.2rem;
	font-size: 0.8rem;
    font-weight: 100;
}

.login-right-cont{
	padding: 2rem!important;
	background-color: #1357a0;
	color: #fff;
	box-shadow: #9c9c9c 0px 0px 20px;
    border-radius: 4px;
    min-width: 300px;
    min-height: 290px;
}

.login-btn-cont{
	margin-top: 0.9rem;	
	padding-left: 8px;
	padding-right: 8px;
}

.login-form-row  label{
	font-weight: bold;
	color: #fff;
}

.forg-pass, .forg-pass-link, .new-account{
	color: #fff;
	font-weight: 400;
}

.forg-pass-link:hover, .new-account:hover{
	color: #ffc107;
    text-decoration: none;
}

.fpass-cont{
	padding-left: 8px;
	padding-right: 8px;
}

.bootstrap-datetimepicker-widget{
	width: 270px!important;
}

.bootstrap-datetimepicker-widget table td {
    white-space: normal;
}

.picker-switch{
	font-weight: 700!important;
}

.datetimepicker-fa{
    padding: .3rem 0.6rem;
}

.datetimepicker-fa{
	font-size: 12px;
}

.alermsg-container{
	display: block;
	position: fixed;
	top: 45px;
	right: 10px;
	z-index: 2000;
}

.msg-tpl {
	display: none;
}

.alertcnt{
	width: 300px;
    min-height: 60px;
    margin-bottom: 12px;
    background-color: #f9f9f9;
    border-radius: 4px;
    box-shadow: 0px 0px 7px 0px #00000063;
}

.alrt-error{
	background-color: #eb4d4b;
}

.alrt-warning{
	background-color: #feca57;
}

.alrt-success{
	background-color: #6ab04c;
}

.alrt-info{
	background-color: #2e86de;
}

.alerticon{
	text-align: center;
	border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;	
}

.alerticon > .fa{
    margin-top: 50%;
    transform: translateY(-17px);
    font-size: 34px;
    color: #fff;
}

.alertmsg{
    padding: 15px 20px!important;
}

.loading-mask {
	display: none;
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	background-color: rgba(000, 000, 000, 0.7);
	z-index: 9999;
}

.loading-container{
	display: block;
	position: absolute;
	top: 50%;
	left: 50%;
	width: 208px;
	height: 114px;
	padding: 20px;
	border-radius: 6px;
	border: 1px solid #dedede;
	box-shadow: 0px 0px 6px #333;
	background-color: #fff;
	text-align: center;
	font-size: 15px;
	font-weight: bold;
	color: #333;
	-ms-transform: translate(-104px, -50px);
	-webkit-transform: translate(-104px, -50px);
	transform: translate(-104px, -50px);
}

.loding-container > span{
	font-size: 1.2rem;
}

.show-mask{
	display: block;
}

.logo-cnt{
	text-align: center;	
}

.ftr-go{
  width: 100%;
  background-color: #f1f1f1;
  color: #868686;
  min-height: 60px;
  padding-top: 10px;
  border-top: 1px solid #ccc;
  border-left: 0px;
}

.ftr-go-rg{
  font-size: 11px;
  padding-top: 10px;
  font-weight: lighter;
  text-align: right;
}

.ftr-go-logo{
  padding-top: 8px;
  text-align: center;
  height: 40px;
}

.ftr-go-celg{
  padding-top: 8px;
  text-align: left;
  height: 40px;
  margin-right: 8px;
}

.footerlink > a, .footerlink > a{
  color: #bbbbbb;
}

.footerlink > a:hover, .footerlink  > a:hover{
  color: #fff;
}

.footerlink{
  margin-bottom: 10px;
  color:#bbb;
  margin-top:20px;
}

.footer-sitelink{
    color:#bbb;
    margin-top:10px;
}

.footer-sitelink a{
    color:#bbb;
}

.footer-sitelink a:hover{
    color:#fff;
}

.logo-footer{
    height:20px;
    vertical-align:bottom;
    margin-right:10px;
}

.hidden {
	visibility: hidden;
}

.btn-modal-cambio-pass{
	height: 30px;
    margin-top: 20px;
}

.deletedRecord {
    color: #929292!important;
}

.bootstrap-tagsinput {
  line-height: 0.8rem !important;
}


.cookie-banner-cont{
	display: block;
	position: fixed;
	bottom: 0px;
	left: 0px;
	width: 100%;
	background-color: #333;
	z-index: 99999;
	color: #fff;
	padding:20px;
	text-align: center;
}

.cookie-banner-cont > form, .cookie-banner-cont > span{
	display: inline-block;
}

.wrapper {
	max-width: 100%;
	margin: auto;
}

#counter {
	float: right;
	padding: 0.1rem 0 0 0;
	font-size: 0.875rem;
}